Bug 43299 - default language for document does not stick
Summary: default language for document does not stick
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-28 04:59 UTC by Oliver
Modified: 2015-02-11 20:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver 2011-11-28 04:59:49 UTC
I have had the following problem already in OO3.3, in LO3.3 and still in LO3.4 : 

I'm working in a French Win7 system, so LO is installed in French and the default language is French.
I have however also installed dictionaries for English and German as I write also in these two languages. 

And I have regularly the problem that while editing a French document, written entirely in French, with French as the default language, when I start to type somewhere in the document (that is in a paragraph that is in French), all the newly written text will be in German. Even if I use the different tools to set the language for selection, paragraph or whole text, once this starts happening within a text, I have no way to get rid of it anymore : any text inserted will always be defined as German. 
This is very annoying. 

This does not happen always, I might have edited a text already in french for two or three days, before, suddenly this starts happening. 
I would be happy to test anything to give you more information. 

The only other information I could still think of, is that I use a German keyboard and a German keyboard-layout in windows seven.

best regards

Oliver
Comment 1 Florian Reisinger 2012-01-21 11:09:52 UTC
Sorry, can't confirm.....
Win7 LibO 3,5rc1
Comment 2 Oliver 2012-01-25 07:28:48 UTC
Did you have the same set-up : that is at least three languages installed (French, German, english), and using a german keyborad layout with a french language standard ? 

I think my problem might be a result of myself using on a french computer with a french windows system and a french Libreoffice installation a german keyboard layout. Is there any connection between the language assume within LibreOffice of the text written and the keyboard layout used ? 


Oliver
Comment 3 Rainer Bielefeld Retired 2012-01-28 00:15:50 UTC
Tried with "LibreOffice 3.5.0 RC2 German UI/Locale [Build-ID: e371a95-bf68a13-5a1aa2b-d3c1ae9-b938258] on German WIN7 Home Premium (64bit) and  with "LibreOffice 3.4.5 German UI [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit), both French as default document language. Not reproducible

@brendel 
Please attach a sample document with 2-3 paragraphs showing the problem with the German text, may be we will be more successful so.
Comment 4 manj_k 2012-01-28 12:01:26 UTC
@brendel:
Apparently you have toggled the system input language (Windows taskbar).
You might add (and select) the German keyboard layout to the French input language (Windows Control Panel > Regional and Language Options).

Further info:
Defaulting keyboard to System Language
http://user.services.openoffice.org/en/forum/viewtopic.php?f=7&t=30633
Comment 5 Oliver 2012-03-29 01:08:56 UTC
I have finally managed to get under Windows seven a german keyboard layout for a french language option; that is in the status line (bottom right) I get "FR" and then a tiny keyboard, with which I can choose between a german and a french keyboard layout. 
But even when using FR(germ), so french language, but german layout, Libreoffice will still (sometimes) interpret any text pasted into a document as german.
For some reason this is not quite repeatable, but when it happes it is very sticky and there is no way to get rid of the german language within a french or english text ...

I'll keep you posted once I have figured out how to reproduce this consistently.

Cheers

Oliver
Comment 6 manj_k 2012-08-13 21:59:59 UTC
(In reply to comment #5)
> [...]
> 
> I'll keep you posted once I have figured out how to reproduce this
> consistently.

Your latest findings?
Comment 7 Oliver 2012-08-14 07:35:06 UTC
I have not been able to reproduce this consistently. It happens now and then, probably after a copy / paste action, but I'm not able to produce this problem deliberately.
I'm still convinced that it must have something to do with  my, probably rather rare, set-up of a computer in one language and a keyboard layout in a different one. 
I'll report if I can figure out anything, but anyway thanks for the inquiry
Comment 8 Rainer Bielefeld Retired 2012-08-14 08:14:27 UTC
Comment before reminds me a little to "Bug 39365 - Spell check does not work after copy / paste, modified language not recognized", "Bug 40449 - SPELLCHECK does not recognize text language"
Comment 9 Oliver 2012-08-14 09:11:32 UTC
might well be, however I reported mine after the 40449 bug had been closed
Comment 10 Joel Madero 2013-01-29 21:08:23 UTC
For the time being I'm closing this as NEEDINFO as it's been 5 months with no comment about how to reproduce. 

@brendel - if it's still an issue on a recent release of LibreOffice please reopen the bug and give us any new information that you have.

Thanks for your patience and help
Comment 11 manj_k 2013-01-29 21:27:16 UTC
@brendel
You could test the new feature in LO 4.0.0:
Menu Tools → Options → Language Settings → Languages
☐ / ☑ Ignore system input language.

See also: Bug 36324 - Keeping Language for Paragraph Style (it switches with the input language of the keyboard)
Comment 12 Oliver 2013-06-04 14:04:39 UTC
No, sorry, "ignore system language" does not seem to work.
I have just run a series of tests. I'm using windows seven, system language is french, but I'm using a german keyboard. In windows seven I can however separate the keyboard layout and the language used; so I have three language/keyboard settings that I have tested : 

 * german language and keyboard
 * french language and french keyboard
 * french language and german keyboard

I have pasted text from my email program (pmail) into empty, new Libreoffice text documents ; independently of the language/keyboard setting during paste, the pasted text turns up in german (even though the standard language for new documents is set to french). 
I have also tried to change the language/keyboard settings during the copy action from the email program : same result, the pasted text is in german. 

However, if I do CTRL+SHIFT+V to do a special paste, the text arrives in french.

So it seems to me that the problem has something to do with pasting formatted text, which seems to contain language information that is taken from the attached keyboard, independently of the the layout and language settings !!!

I guess this one won't be easy to figure out

Cheers

Oliver
Comment 13 QA Administrators 2014-02-02 02:06:58 UTC
Dear Bug Submitter,

Please read the entire message before proceeding.

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 14 Oliver 2014-02-03 10:06:29 UTC
Dear QA Administrators, 
I guess this was an automated comment, as actually the last comment in this bug is not a request for further information of a programmer, but more information from myself about the problem. 

So I can just repeat the information in my last post : 

it seems that when copy-pasting from some programs, that the language information is also pasted and for some reason switched to the languages that reflects the keyboard layout. 

When I use special paste and text without formatting, then the problem disappears. 
best regards
Comment 15 tommy27 2014-05-21 11:38:08 UTC
I change version to "inherited from OOo" according to description
Comment 16 retired 2014-07-25 08:08:26 UTC
brendel: have you been able to determine exact reproduce steps by now?

Is this bug still valid / reproducible with the latest LO release?
4.3RC3: http://www.libreoffice.org/download/pre-releases/

Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile

Should this be still reproducible for you with the latest LO release please set this bug back to UNCONFIRMED. Should this issue be solved set it to WORKSFORME.

Setting to NEEDINFO until more detail is provided.

Also, could you attach a sample document with the different language interpretations and specify exactly in that document, which paragraph is correctly and / or falsely interpreted in what language?

All the above might help finding the pattern causing this obscure behavior. Currently, while we have some info, I can not see any pattern and it will be difficult to reproduce your environment. Maybe you yourself can even test some more how things behave if you e.g. change your windows system to english. Is the issue persisting then or not? Play with keyboard language settings and so forth.
Comment 17 QA Administrators 2015-02-11 20:00:12 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11